Get position request by pubkey
curl --request GET \
--url https://api.worm.wtf/margin/positions/requests/{pubkey}/import requests
url = "https://api.worm.wtf/margin/positions/requests/{pubkey}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.worm.wtf/margin/positions/requests/{pubkey}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"pubkey": "4mD8rQ2xT7pL1vN6yB3kC9sW5uF0zJ4eR8nM2qP6tLy",
"type": "limit",
"state": "funding_processing",
"message": "Program call payload to open leveraged position.",
"funding_txid": null,
"refund_txid": null,
"market": {
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?",
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"logo": null,
"last_trade_price": "0.68",
"event": null
},
"is_yes": true,
"leverage": "2.500000",
"funds": "100.000000",
"price": "0.65",
"shares": "153.846154",
"take_profit_price": "0.75",
"stop_loss_price": "0.58",
"created": 1714300800
},
"meta": {},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -12,
"slug": "authentication_failed",
"message": "Invalid signature",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -14,
"slug": "permission_denied",
"message": "You do not have permission to perform this action.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -15,
"slug": "not_found",
"message": "Not found.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}
Margin
Get position request by pubkey
Retrieve a single margin position request by its public key.
GET
/
margin
/
positions
/
requests
/
{pubkey}
/
Get position request by pubkey
Cancel a draft request with Cancel position request (
DELETE on the same path).
Path Parameters
string
required
The public key of the position request to retrieve.
Response
object
Single margin position request row.
Show Data fields
Show Data fields
string
Request public key.
string
market or limit.string
Position request state: (same set as List position requests).
string | null
Program message.
string | null
Funding withdrawal tx id when present.
string | null
Refund withdrawal tx id when present.
object | null
Market summary (
title, condition_id, logo, last_trade_price, nested event).boolean
Position side.
string
Leverage.
string
Funds.
string | null
Requested price.
string | null
Requested shares.
string | null
Take-profit value.
string | null
Stop-loss value.
integer | null
Created timestamp (unix seconds).
object
Empty object on success for this endpoint.
object | null
null on success. Error object on failed requests.{
"data": {
"pubkey": "4mD8rQ2xT7pL1vN6yB3kC9sW5uF0zJ4eR8nM2qP6tLy",
"type": "limit",
"state": "funding_processing",
"message": "Program call payload to open leveraged position.",
"funding_txid": null,
"refund_txid": null,
"market": {
"title": "Will the Atlanta Hawks beat the New York Knicks in the NBA game on April 28, 2026?",
"condition_id": "7n9G9WfQ2V7d6hM3XK8pQ4LwR2eY6aT1uJ5cB8mN3qPz",
"logo": null,
"last_trade_price": "0.68",
"event": null
},
"is_yes": true,
"leverage": "2.500000",
"funds": "100.000000",
"price": "0.65",
"shares": "153.846154",
"take_profit_price": "0.75",
"stop_loss_price": "0.58",
"created": 1714300800
},
"meta": {},
"error": null
}
{
"data": null,
"meta": null,
"error": {
"code": -11,
"slug": "invalid_request_params",
"message": "Validation Error",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -12,
"slug": "authentication_failed",
"message": "Invalid signature",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -14,
"slug": "permission_denied",
"message": "You do not have permission to perform this action.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -15,
"slug": "not_found",
"message": "Not found.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -17,
"slug": "throttled",
"message": "Request was throttled.",
"details": []
}
}
{
"data": null,
"meta": null,
"error": {
"code": -3,
"slug": "internal_error",
"message": "An internal error occurred.",
"details": []
}
}